/*
 * GameEngine.h
 *
 *  Created on: 12 dec 2011
 *      Author: Reii
 */

#ifndef GAMEENGINE_H_
#define GAMEENGINE_H_

#include <vector>
#include "Sprite.h"

class GameEngine{

public:
	void addSprite(Sprite* sprite);
	std::vector<Sprite*> getGameobjects();
	void clearEngine();
	void initEngine();
private:
	std::vector<Sprite*> gameobjects;
};

#endif /* GAMEENGINE_H_ */
